'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var palette = require('./colour/palette.js');
var descriptionId = require('./accessibility/description-id.js');
var focusHalo = require('./accessibility/focus-halo.js');
var generateSourceId = require('./accessibility/generate-source-id.js');
var visuallyHidden = require('./accessibility/visually-hidden.js');
var transitions = require('./animation/transitions.js');
var breakpoints = require('./breakpoints/breakpoints.js');
var mq = require('./mq/mq.js');
var size = require('./size/size.js');
var space = require('./space/space.js');
var index = require('./typography/index.js');
var api = require('./typography/api.js');
var data = require('./typography/data.js');
var supportsQueries = require('./utils/supports-queries.js');
var focusStyleManager = require('./accessibility/focus-style-manager.js');
var pxToRem = require('./utils/px-to-rem.js');
var resets = require('./utils/resets.js');
var svgBackgroundImage = require('./utils/svg-background-image.js');

/**
 * @deprecated exports - to be removed in a future major version.
 * Colours should now be imported from the `palette` object.
 */
const { brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, } = palette.palette;

exports.background = palette.background;
exports.border = palette.border;
exports.brandAltBackground = palette.brandAltBackground;
exports.brandAltBorder = palette.brandAltBorder;
exports.brandAltLine = palette.brandAltLine;
exports.brandAltText = palette.brandAltText;
exports.brandBackground = palette.brandBackground;
exports.brandBorder = palette.brandBorder;
exports.brandLine = palette.brandLine;
exports.brandText = palette.brandText;
exports.line = palette.line;
exports.palette = palette.palette;
exports.text = palette.text;
exports.descriptionId = descriptionId.descriptionId;
exports.focusHalo = focusHalo.focusHalo;
exports.focusHaloSpaced = focusHalo.focusHaloSpaced;
exports.generateSourceId = generateSourceId.generateSourceId;
exports.visuallyHidden = visuallyHidden.visuallyHidden;
exports.transitions = transitions.transitions;
exports.breakpoints = breakpoints.breakpoints;
exports.between = mq.between;
exports.from = mq.from;
exports.until = mq.until;
exports.height = size.height;
exports.iconSize = size.iconSize;
exports.remHeight = size.remHeight;
exports.remWidth = size.remWidth;
exports.size = size.size;
exports.width = size.width;
exports.remSpace = space.remSpace;
exports.space = space.space;
exports.body = index.body;
exports.headline = index.headline;
exports.textSans = index.textSans;
exports.titlepiece = index.titlepiece;
exports.bodyObjectStyles = api.body;
exports.headlineObjectStyles = api.headline;
exports.textSansObjectStyles = api.textSans;
exports.titlepieceObjectStyles = api.titlepiece;
exports.bodySizes = data.bodySizes;
exports.fontWeights = data.fontWeights;
exports.fonts = data.fonts;
exports.headlineSizes = data.headlineSizes;
exports.lineHeights = data.lineHeights;
exports.remBodySizes = data.remBodySizes;
exports.remHeadlineSizes = data.remHeadlineSizes;
exports.remTextSansSizes = data.remTextSansSizes;
exports.remTitlepieceSizes = data.remTitlepieceSizes;
exports.textSansSizes = data.textSansSizes;
exports.titlepieceSizes = data.titlepieceSizes;
exports.appearance = supportsQueries.appearance;
exports.FocusStyleManager = focusStyleManager.FocusStyleManager;
exports.pxToRem = pxToRem.pxToRem;
exports.rootPixelFontSize = pxToRem.rootPixelFontSize;
exports.resets = resets.resets;
exports.svgBackgroundImage = svgBackgroundImage.svgBackgroundImage;
exports.brand = brand;
exports.brandAlt = brandAlt;
exports.culture = culture;
exports.error = error;
exports.focus = focus;
exports.labs = labs;
exports.lifestyle = lifestyle;
exports.neutral = neutral;
exports.news = news;
exports.opinion = opinion;
exports.specialReport = specialReport;
exports.sport = sport;
exports.success = success;
//# sourceMappingURL=index.js.map
