'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fontStyles = require('./font-styles.js');

const titlepieceDefaults = {
    lineHeight: 'tight',
    fontWeight: 'bold',
    fontStyle: null,
    unit: 'rem',
};
const titlepiece = {
    small: fontStyles.fontStyleFunction('titlepiece', 'small', titlepieceDefaults),
    medium: fontStyles.fontStyleFunction('titlepiece', 'medium', titlepieceDefaults),
    large: fontStyles.fontStyleFunction('titlepiece', 'large', titlepieceDefaults),
};
const headlineDefaults = {
    lineHeight: 'tight',
    fontWeight: 'medium',
    fontStyle: null,
    unit: 'rem',
};
const headline = {
    xxxsmall: fontStyles.fontStyleFunction('headline', 'xxxsmall', headlineDefaults),
    xxsmall: fontStyles.fontStyleFunction('headline', 'xxsmall', headlineDefaults),
    xsmall: fontStyles.fontStyleFunction('headline', 'xsmall', headlineDefaults),
    small: fontStyles.fontStyleFunction('headline', 'small', headlineDefaults),
    medium: fontStyles.fontStyleFunction('headline', 'medium', headlineDefaults),
    large: fontStyles.fontStyleFunction('headline', 'large', headlineDefaults),
    xlarge: fontStyles.fontStyleFunction('headline', 'xlarge', headlineDefaults),
};
const bodyDefaults = {
    lineHeight: 'loose',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const body = {
    xsmall: fontStyles.fontStyleFunction('body', 'xsmall', bodyDefaults),
    small: fontStyles.fontStyleFunction('body', 'small', bodyDefaults),
    medium: fontStyles.fontStyleFunction('body', 'medium', bodyDefaults),
};
const textSansDefaults = {
    lineHeight: 'regular',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const textSans = {
    xxsmall: fontStyles.fontStyleFunction('textSans', 'xxsmall', textSansDefaults),
    xsmall: fontStyles.fontStyleFunction('textSans', 'xsmall', textSansDefaults),
    small: fontStyles.fontStyleFunction('textSans', 'small', textSansDefaults),
    medium: fontStyles.fontStyleFunction('textSans', 'medium', textSansDefaults),
    large: fontStyles.fontStyleFunction('textSans', 'large', textSansDefaults),
    xlarge: fontStyles.fontStyleFunction('textSans', 'xlarge', textSansDefaults),
    xxlarge: fontStyles.fontStyleFunction('textSans', 'xxlarge', textSansDefaults),
    xxxlarge: fontStyles.fontStyleFunction('textSans', 'xxxlarge', textSansDefaults),
};

exports.body = body;
exports.headline = headline;
exports.textSans = textSans;
exports.titlepiece = titlepiece;
//# sourceMappingURL=api.js.map
