import { BodySizes, HeadlineSizes, TextSansSizes, TitlepieceSizes, TypographyStrFunctions } from "../types-d64e2895.js";
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--titlepiece) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/358767)
 *
 * ```
 * font-family: 'GT Guardian Titlepiece';
 * ```
 */
declare const titlepiece: TypographyStrFunctions<TitlepieceSizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--headline) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/7310bd)
 *
 * ```
 * font-family: 'GH Guardian Headline';
 * ```
 */
declare const headline: TypographyStrFunctions<HeadlineSizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--body) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/88cd8e)
 *
 * ```
 * font-family: 'GuardianTextEgyptian';
 * ```
 */
declare const body: TypographyStrFunctions<BodySizes>;
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--text-sans) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/076605)
 *
 * ```
 * font-family: 'GuardianTextSans';
 * ```
 */
declare const textSans: TypographyStrFunctions<TextSansSizes>;
export { titlepiece, headline, body, textSans };
export { bodySizes, headlineSizes, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes, fonts, lineHeights, fontWeights } from "./data.js";
export type { ScaleUnit, Category, LineHeight, FontWeight, FontStyle, FontWeightDefinition } from "../types-d64e2895.js";
