import { palette } from './colour/palette.js';
export { background, border, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, line, text } from './colour/palette.js';
export { descriptionId } from './accessibility/description-id.js';
export { focusHalo, focusHaloSpaced } from './accessibility/focus-halo.js';
export { generateSourceId } from './accessibility/generate-source-id.js';
export { visuallyHidden } from './accessibility/visually-hidden.js';
export { transitions } from './animation/transitions.js';
export { breakpoints } from './breakpoints/breakpoints.js';
export { between, from, until } from './mq/mq.js';
export { height, iconSize, remHeight, remWidth, size, width } from './size/size.js';
export { remSpace, space } from './space/space.js';
export { body, headline, textSans, titlepiece } from './typography/index.js';
export { body as bodyObjectStyles, headline as headlineObjectStyles, textSans as textSansObjectStyles, titlepiece as titlepieceObjectStyles } from './typography/api.js';
export { bodySizes, fontWeights, fonts, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './typography/data.js';
export { appearance } from './utils/supports-queries.js';
export { FocusStyleManager } from './accessibility/focus-style-manager.js';
export { pxToRem, rootPixelFontSize } from './utils/px-to-rem.js';
export { resets } from './utils/resets.js';
export { svgBackgroundImage } from './utils/svg-background-image.js';

/**
 * @deprecated exports - to be removed in a future major version.
 * Colours should now be imported from the `palette` object.
 */
const { brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, } = palette;

export { brand, brandAlt, culture, error, focus, labs, lifestyle, neutral, news, opinion, palette, specialReport, sport, success };
//# sourceMappingURL=index.js.map
