import { fontStyleFunction } from './font-styles.js';

const titlepieceDefaults = {
    lineHeight: 'tight',
    fontWeight: 'bold',
    fontStyle: null,
    unit: 'rem',
};
const titlepiece = {
    small: fontStyleFunction('titlepiece', 'small', titlepieceDefaults),
    medium: fontStyleFunction('titlepiece', 'medium', titlepieceDefaults),
    large: fontStyleFunction('titlepiece', 'large', titlepieceDefaults),
};
const headlineDefaults = {
    lineHeight: 'tight',
    fontWeight: 'medium',
    fontStyle: null,
    unit: 'rem',
};
const headline = {
    xxxsmall: fontStyleFunction('headline', 'xxxsmall', headlineDefaults),
    xxsmall: fontStyleFunction('headline', 'xxsmall', headlineDefaults),
    xsmall: fontStyleFunction('headline', 'xsmall', headlineDefaults),
    small: fontStyleFunction('headline', 'small', headlineDefaults),
    medium: fontStyleFunction('headline', 'medium', headlineDefaults),
    large: fontStyleFunction('headline', 'large', headlineDefaults),
    xlarge: fontStyleFunction('headline', 'xlarge', headlineDefaults),
};
const bodyDefaults = {
    lineHeight: 'loose',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const body = {
    xsmall: fontStyleFunction('body', 'xsmall', bodyDefaults),
    small: fontStyleFunction('body', 'small', bodyDefaults),
    medium: fontStyleFunction('body', 'medium', bodyDefaults),
};
const textSansDefaults = {
    lineHeight: 'regular',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const textSans = {
    xxsmall: fontStyleFunction('textSans', 'xxsmall', textSansDefaults),
    xsmall: fontStyleFunction('textSans', 'xsmall', textSansDefaults),
    small: fontStyleFunction('textSans', 'small', textSansDefaults),
    medium: fontStyleFunction('textSans', 'medium', textSansDefaults),
    large: fontStyleFunction('textSans', 'large', textSansDefaults),
    xlarge: fontStyleFunction('textSans', 'xlarge', textSansDefaults),
    xxlarge: fontStyleFunction('textSans', 'xxlarge', textSansDefaults),
    xxxlarge: fontStyleFunction('textSans', 'xxxlarge', textSansDefaults),
};

export { body, headline, textSans, titlepiece };
//# sourceMappingURL=api.js.map
