import { titlepiece as titlepiece$1, headline as headline$1, body as body$1, textSans as textSans$1 } from './api.js';
import { fontStyleToStringFunction } from './font-styles.js';
export { bodySizes, fontWeights, fonts, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './data.js';

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--titlepiece) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/358767)
 *
 * ```
 * font-family: 'GT Guardian Titlepiece';
 * ```
 */
const titlepiece = {
    small: fontStyleToStringFunction(titlepiece$1.small),
    medium: fontStyleToStringFunction(titlepiece$1.medium),
    large: fontStyleToStringFunction(titlepiece$1.large),
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--headline) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/7310bd)
 *
 * ```
 * font-family: 'GH Guardian Headline';
 * ```
 */
const headline = {
    xxxsmall: fontStyleToStringFunction(headline$1.xxxsmall),
    xxsmall: fontStyleToStringFunction(headline$1.xxsmall),
    xsmall: fontStyleToStringFunction(headline$1.xsmall),
    small: fontStyleToStringFunction(headline$1.small),
    medium: fontStyleToStringFunction(headline$1.medium),
    large: fontStyleToStringFunction(headline$1.large),
    xlarge: fontStyleToStringFunction(headline$1.xlarge),
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--body) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/88cd8e)
 *
 * ```
 * font-family: 'GuardianTextEgyptian';
 * ```
 */
const body = {
    xsmall: fontStyleToStringFunction(body$1.xsmall),
    small: fontStyleToStringFunction(body$1.small),
    medium: fontStyleToStringFunction(body$1.medium),
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_typography--text-sans) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/076605)
 *
 * ```
 * font-family: 'GuardianTextSans';
 * ```
 */
const textSans = {
    xxsmall: fontStyleToStringFunction(textSans$1.xxsmall),
    xsmall: fontStyleToStringFunction(textSans$1.xsmall),
    small: fontStyleToStringFunction(textSans$1.small),
    medium: fontStyleToStringFunction(textSans$1.medium),
    large: fontStyleToStringFunction(textSans$1.large),
    xlarge: fontStyleToStringFunction(textSans$1.xlarge),
    xxlarge: fontStyleToStringFunction(textSans$1.xxlarge),
    xxxlarge: fontStyleToStringFunction(textSans$1.xxxlarge),
};

export { body, headline, textSans, titlepiece };
//# sourceMappingURL=index.js.map
